.logoBar{
    width: 100%;
    padding: 20px 80px;
    position: relative;
    span{
        position: absolute;
        top: 0;
        bottom: 0;
        height: fit-content;
        margin: auto;
        left: 180px;
        font-size: 34px;
        font-weight: 600;
    }
    img{
        width: 80px;
    }
    ul{
        list-style-type: none;
        color: #2E62BE;
        display: inline-block;
        float: right;
        // margin-top: 50px;
        margin-right: 50px;
        li{
            display: inline;
            margin: 20px;
            cursor: pointer;
            font-weight: 600;
            font-size: 18px;
        }
    }
}

.entertainment{
    margin-bottom: 150px;
    width: 100%;
    height: 100%;
    --background: url('../../assets/enter.png')  no-repeat cover fixed center;
    background: url('../../assets/enter.png') no-repeat fixed center; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    background-size: cover;

    .enterTextCover{
        width: 45%;
        padding: 30px;
        position: relative;
        display: inline-block;
        height: 100%;
        .enterText{
            color: white;
            position: absolute;
            margin: auto;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            width: 80%;
            // height: 50%;
            height: fit-content;
            h3{
                font-size: 60px;
            }
            p{
                font-size: 30px;
            }
        }
    }
    
    .formCover{
        position: relative;
        width: 55%;
        display: inline-block;
        height: 100%;
        .form{
            
            position: absolute;
            margin: auto;
            right: 0;
            top: 0;
            left: 0;
            bottom: 0;
            background-color: white;
            border: 1px solid black;
            border-radius: 10px;
            width: 60%;
            height: fit-content;
            .formHeader{
                text-align: center;
                background-color: #1F83FF;
                border-radius: 5px 5px 0 0;
                height: 80px;
                line-height: 80px;
                color: white;
                font-size: 22px;
            }
            .formContent{
                padding: 40px 50px;
                fieldset{
                    border-radius: 5px;
                    border: 1px solid #ADADAD;
                    margin-bottom: 15px;
                    ion-input{
                        --padding-top:5px;
                        --padding-bottom:5px;
                    }
                    input{
                        --padding-top:5px;
                        --padding-bottom:5px;
                        border: none;
                    }
                    
                }
                .upload{

                    margin-bottom: 15px;
                    text-align: center;
                    ion-input{
                        --padding-top:5px;
                        --padding-bottom:5px;
                    }
                    img{
                        width: 100px;
                        margin: auto;
                    }
                }
                .inlineField{
                    display: inline-block;
                    width: 45%;
                    
                }
                .rightField{
                    float: right;
                    
                }
                .checkBox{
                    margin: 0 0 20px 0;
                    position: relative;
                    ion-checkbox{
                        position: absolute;
                        top: 0;
                        bottom: 0;
                        margin:auto ;
                        --border-color: #1F83FF;
                        --border-radius:0px;
                    }
                    p{
                        margin-left: 40px;
                    }
                }
                .btnContinue{
                    text-align: center;
                    ion-button{
                        width: 50%;
                        height: 40px;
                        font-size: 20px;
                        --background: #29A889;
                    }
                }

                .qrCode{
                    height: 450px;
                    text-align: center;
                    margin-top: 30px;
                    img{
                        height: 85%;
                    }
                }
                .finishImg{
                    height: 450px;
                    text-align: center;
                    margin-top: 30px;
                    img{
                        height: 100%;
                    }
                }
                .scanText{
                    text-align: center;
                    margin: 20px auto;
                    span{
                        cursor: pointer;
                        color: blue;
                    }
                }
                .scanText2{
                    display: block;
                    margin-top: 10px;
                    text-align: center;
                    font-size: 16px;
                }
                .deeplink{
                    display: none;
                    text-align: center;
                    margin: 20px auto;
                    span{
                        cursor: pointer;
                        color: blue;
                    }
                }
                .reload{
                    background-image: url('../../assets/reload.png');
                    background-repeat: no-repeat;
                    padding-left: 30px;
                    display: block;
                    width: 100px;
                    background-size: 20px 20px;
                    height: 20px;
                    line-height: 21px;
                    margin:30px auto;
                    cursor: pointer;
                }

            }
        }
    }
    
}

.shadowLoader{
    width: 100%;
    height: 100%;
    background-color: rgba(83, 78, 78, 0.5);
    position: absolute;
    top:0
}
.boxLoader{
    position: absolute;
    width: 180px;
    height: 180px;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    border-radius: 5px;
    background-color: #F2F2F2;
    padding-top: 30px;
    z-index: 10;
}
.loader {
    text-align: center;
    border: 8px solid white; /* Light grey */
    border-top: 8px solid #27C1B6; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
    margin-left: auto;
    margin-right: auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

@media only screen and (max-width: 1400px) {
    .logoBar{
        width: 100%;
        padding: 15px 50px;
        position: relative;
        span{
            position: absolute;
            top: 0;
            bottom: 0;
            height: fit-content;
            margin: auto;
            left: 120px;
            font-size: 28px;
            font-weight: 600;
        }
        img{
            width: 50px;
        }
        ul{
            list-style-type: none;
            color: #2E62BE;
            display: inline-block;
            float: right;
            // margin-top: 50px;
            margin-right: 50px;
            li{
                display: inline;
                margin: 20px;
                cursor: pointer;
                font-weight: 600;
                font-size: 18px;
            }
        }
    }
    .entertainment{
        height: 600px;
        .enterTextCover{
            h3{
                font-size: 40px ;
            }
            p{
                font-size: 20px ;
            }
        }
        .formCover{
            .form{
                width: 90%;
                .formHeader{
                    height: 60px ;
                    line-height: 60px ;
                    font-size: 20px;
                }
                .formContent{
                    padding: 20px 20px;
                    font-size: 13px;
                    fieldset{
                        margin-bottom: 10px ;
                        input{
                            --padding-top:0;
                            --padding-bottom:0
                        }
                    }

                    .inlineField{
                        display: inline-block;
                        width: 45%;
                        
                    }
                    .rightField{
                        float: right;
                    }
                    .qrCode{
                        height: fit-content ;
                        margin-top: 30px;
                        text-align: center;
                        img{
                            height: 90%;
                        }
                    }
                    .finishImg{
                        height: 350px ;
                        margin-top: 0 ;
                    }
                    
                    .scanText{
                        margin-top: 20px;
                    }
                    .reload{
                        margin: 30px auto ;
                    }
                    .checkBox{
                        margin: 0px 0 ;
                    }
                    .btnContinue{
                        ion-button{
                            height: 30px ;
                            font-size: 15px ;
                        }
                    }
                }
                
            }
        }
    }
}

@media only screen and (max-width: 700px) {

    .logoBar{
        //width: fit-content;
        padding-left: 10px;
        padding-top: 10px;
        padding-bottom: 10px;
        padding-right: 0;
        position: relative;
        span{
            position: absolute;
            top: 0;
            bottom: 0;
            height: fit-content;
            margin: auto;
            left: 60px;
            font-size: 18px;
            font-weight: 600;
        }
        img{
            width: 28px;
    
        }
        ul{
            list-style-type: none;
            color: #2E62BE;
            display: inline-block;
            float: right;
            // margin-top: 30px;
            margin-right: 5px;
            li{
                display: inline;
                // margin: 20px;
                cursor: pointer;
                font-weight: 600;
                font-size: 12px;
            }
        }
    }
    
    .entertainment{
        margin-bottom: 150px;
        width: 100%;
        // height: 400px;//fit-content;
        // --background: url('../../assets/enter.png')  no-repeat cover fixed center;
        background: url('../../assets/enter.png') no-repeat center; 
        -webkit-background-size: cover;
        -moz-background-size: cover;
        background-size: cover;
    
        .enterTextCover{
            width: 100%;
            padding: 30px;
            // position: relative;
            display: inline-block;
            height: 50%;
            .enterText{
                color: white;
                position: relative;
                margin: auto;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                text-align: center;

                h3{
                    font-size: 28px;
                }
                p{
                    font-size: 30px;
                }
            }
        }
        
        .formCover{
            position: relative;
            width: 100%;
            // display: inline-block;
            height: 50%;
            // box-shadow: 0px 3px brown;
            .form{
                
                // position: absolute;
                margin: auto;
                right: 0;
                // top: -230px;
                left: 0;
                bottom: 10px;
                background-color: white;
    
                border: 1px solid gray;
                box-shadow: 0px 0px 5px gray;
                border-radius: 10px;
                width: 80%;
                height: fit-content;
                .formHeader{
                    text-align: center;
                    background-color: #1F83FF;
                    border-radius: 5px 5px 0 0;
                    // height: 80px;
                    line-height: 50px;
                    color: white;
                    font-size: 16px;
                }
                .formContent{
                    font-size: 13px;
                    padding: 20px 20px;
                    // text-align: center;
                    fieldset{
                        border-radius: 5px;
                        border: 1px solid #ADADAD;
                        margin-bottom: 10px;
                        ion-input{
                            --padding-top:1px;
                            --padding-bottom:1px
                        }
                        input{
                            --padding-top:1px;
                            --padding-bottom:1px
                        }
                    }
                    .inlineField{
                        display: inline-block;
                        width: 47%;
                        
                    }
                    .rightField{
                        float: right;
                        
                    }
                    .avatar{
                        width: 30%;
                        margin: auto;
                    }
                    .checkBox{
                        margin: 0 0 20px 0;
                        position: relative;
                        ion-checkbox{
                            position: absolute;
                            top: 0;
                            bottom: 0;
                            margin:auto ;
                            --border-color: #1F83FF;
                            --border-radius:0px;
                        }
                        p{
                            margin-left: 40px;
                        }
                    }
                    .btnContinue{
                        text-align: center;
                        ion-button{
                            width: 100%;
                            height: 40px;
                            font-size: 17px;
                            --background: #29A889;
                        }
                    }
    
                    .qrCode{
                        height: fit-content;
                        text-align: center;
                        // margin-top: 30px;
                        img{
                            // padding: 20px;
                            height: 100%;
                            width: 80%;
                        }
                    }
                    .finishImg{
                        height: 280px;
                        text-align: center;
                        margin-top: 15px;
                        img{
                            height: 100%;
                            width: 60%;
                            margin: auto;
                        }
                    }
                    .scanText{
                        display: none;
                        margin-top: 10px;
                        text-align: center;
                        font-size: 13px;
                    }
                    .scanText2{
                        display: block;
                        margin-top: 10px;
                        text-align: center;
                        font-size: 13px;
                    }
                    .deeplink{
                        display: block;
                        margin-top: 10px;
                        text-align: center;
                        font-size: 13px;
                    }
                    .reload{
                        background-image: url('../../assets/reload.png');
                        background-repeat: no-repeat;
                        padding-left: 30px;
                        display: block;
                        width: 100px;
                        background-size: 20px 20px;
                        height: 20px;
                        line-height: 21px;
                        margin:30px auto;
                        cursor: pointer;
                        font-size: 14px;
                        color:black;
                    }
                }
            }
        }   
    }


}